changeset 3434:7012c889e8f2

portability fixes for some tests Apparently the ls on OS X 10.3.9 exits with success even if the file given on the command line doesn't exist
author Alexis S. L. Carvalho <alexis@cecm.usp.br>
date Mon, 16 Oct 2006 18:01:25 -0300
parents 6bd676ee8b99
children b19360aa21e9
files tests/test-bad-pull tests/test-empty-dir tests/test-static-http
diffstat 3 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-bad-pull	Mon Oct 16 22:44:44 2006 +0200
+++ b/tests/test-bad-pull	Mon Oct 16 18:01:25 2006 -0300
@@ -2,7 +2,7 @@
 
 hg clone http://localhost:20059/ copy
 echo $?
-ls copy 2>/dev/null || echo copy: No such file or directory
+test -e copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
 import BaseHTTPServer, SimpleHTTPServer, signal
--- a/tests/test-empty-dir	Mon Oct 16 22:44:44 2006 +0200
+++ b/tests/test-empty-dir	Mon Oct 16 18:01:25 2006 -0300
@@ -11,6 +11,6 @@
 cat sub/b
 hg co 0
 cat sub/b 2>/dev/null || echo "sub/b not present"
-ls sub 2>/dev/null || echo "sub not present"
+test -e sub || echo "sub not present"
 
 true
--- a/tests/test-static-http	Mon Oct 16 22:44:44 2006 +0200
+++ b/tests/test-static-http	Mon Oct 16 18:01:25 2006 -0300
@@ -2,7 +2,7 @@
 
 http_proxy= hg clone static-http://localhost:20059/ copy
 echo $?
-ls copy 2>/dev/null || echo copy: No such file or directory
+test -e copy || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
 # one pull